Intraday Trades

Keep up with all the intraday actions

Base Endpoint

GET https://asxenergy.com.au/api/trades

Parameters

Name Type Mandatory Description
market STRING YES (mutually exclusive with futures and options) Accepted Market codes:
  • au_electricity
  • au_electricity_options
  • nz_electricity
  • nz_electricity_options
  • au_gas
  • au_environmental
  • nz_environmental
futures STRING YES (mutually exclusive with market and options) Accepted Futures codes:
  • Initial code. E.g. BNH, EVJ
  • Exact code. E.g. HNZ2026, GNU2025F
options STRING YES (mutually exclusive with futures and market) Accepted Options codes:
  • Initial code. E.g. BQZ, EAM2025
  • Exact code. E.g. EAU20260018000, HSM20260009900C
from STRING NO Optional time filter to limit the range of returned data.
Format: HHmmss (e.g., 152500 for 3:25:00 PM).
All trades from the specified time onward, including trades at the exact timestamp, will be returned.

CSV Support

The API supports CSV-formatted responses when requested via the Accept header.
To receive data in CSV format, set the following header in your request:

Accept: text/csv

Examples:

Market trades

  • Request:
  • GET https://asxenergy.com.au/api/trades?market=au_electricity&from=104303
    
  • JSON Response:
  • {
        "last_trade": "111610",
        "last_update": "120225",
        "date": "20250408",
        "market": "au_electricity",
        "trades": [
            {
                "time": "111938",
                "code": "ENK2025",
                "volume": "2",
                "price": "140.00",
                "block": false
            },
            {
                "time": "111610",
                "code": "BQU5",
                "volume": "11",
                "price": "110.25",
                "block": true
            },
            // ...
            {
                "time": "104303",
                "code": "BQH2026",
                "volume": "1",
                "price": "131.75",
                "block": false
            }
        ]
    }
    
  • CSV Response:
  • time,code,volume,price,block
    120225,BVU2025,1,99.50,0
    111938,ENK2025,10,140.00,0
    111938,ENK2025,2,140.00,0
    111610,BQU5,11,110.25,1
    111234,BNU2027,1,124.65,0
    ...
    

Futures Code Trades

  • Request:
  • GET https://asxenergy.com.au/api/trades?futures=ENK
    
  • JSON Response:
  • {
        "last_trade": "111610",
        "last_update": "111938",
        "date": "20250408",
        "futures": "ENK",
        "trades": [
            {
                "time": "111938",
                "code": "ENK2025",
                "volume": "2",
                "price": "140.00",
                "block": false
            },
            {
                "time": "111938",
                "code": "ENK2025",
                "volume": "10",
                "price": "140.00",
                "block": false
            }
        ]
    }
    
  • CSV Response:
  • time,code,volume,price,block
    111938,ENK2025,2,140.00,0
    111938,ENK2025,10,140.00,0